import type { SavedPipeline } from './pipeline-storage-schema';
import type { PipelineStorage } from './pipeline-storage';
export declare class CompassPipelineStorage implements PipelineStorage {
    private readonly userData;
    constructor(basePath?: string);
    private mergeStats;
    loadAll(): Promise<SavedPipeline[]>;
    /** loads all pipelines that satisfy `predicate` */
    loadMany(predicate: (arg0: SavedPipeline) => boolean): Promise<SavedPipeline[]>;
    private loadOne;
    createOrUpdate(id: string, attributes: SavedPipeline): Promise<{
        id: string;
        name: string;
        namespace: string;
        pipelineText: string;
        comments?: boolean | undefined;
        autoPreview?: boolean | undefined;
        collationString?: string | undefined;
        host?: string | null | undefined;
        lastModified?: Date | undefined;
    }>;
    private create;
    updateAttributes(id: string, attributes: Partial<SavedPipeline>): Promise<SavedPipeline>;
    delete(id: string): Promise<void>;
}
//# sourceMappingURL=compass-pipeline-storage.d.ts.map